/**
 * Due to security restrictions on iOS, dynamically loading script tags is not supported.
 * Therefore, a loadScript method needs to be injected on the client side to implement evalJavascriptFun.
 * Link：https://mabin004.github.io/2018/06/25/iOS%E5%BA%94%E7%94%A8%E6%B2%99%E7%AE%B1/
 */
declare global {
    interface Window {
        JoliAndroidSDKBridge?: unknown;
        webkit?: unknown;
    }
}
/**
 * Do not expose the logic of dynamically retrieving URL information in the config,
 * as this logic needs to remain self-contained within the SDK.
 */
export declare const getBoostrapModuleUrl: (version: string | number) => string;
export declare const getImplementModuleUrl: (version: string | number) => string;
