import { RequestParams } from '@jolibox/types';
import { canIUse } from './can-i-use';
import { createCommands } from '@jolibox/common';

const commands = createCommands();

export async function request(params: RequestParams) {
  if (!canIUse('request')) {
    return {
      code: 'FAILURE' as ResponseType,
      message: '[Jolibox SDK]request is not supported in this platform'
    };
  }
  return await commands.executeCommand('HttpSDK.request', params);
}
